#!/bin/sh 
################################################# 
# ETHERNET SCRIPT GENERATOR
# TODO:
#	read data from sqlite
#	setting ethernet
#################################################

# Please use these predefined variable
source $MX_SCRIPT_PATH/mx_global.sh
source $MX_SCRIPT_PATH/snmp/global.sh
tool=$MX_SCRIPT_PATH/snmp/mx_dio_tool
table=$mx_do_table
gb_debug_enable=0

#################################################
# STARTING POINT:
#################################################

# Call once clinet change do in the snmp
handle_do_change() 
{
	# get all changed do 
	gb_debug_time "TRY_QUERY"
	modified_ids=`gb_sql_query "SELECT id FROM $table WHERE status=1"`
	gb_debug_time "GET_QUERY"
	#gb_debug "$0 set control table = 0"
	gb_debug_time "clear control start"
	gb_control_table_clear $table
	gb_debug_time "clear control finish"

	if [ "$modified_ids" != "" ]; then
		for id in $modified_ids; do
			gb_debug_time "SET"
			gb_sql_query "UPDATE $table set status=0 WHERE id=$id"
			gb_debug_time "UPDATE ROW"
			gb_sql_import_row_var "SELECT portNumber, value FROM $table WHERE id=$id"
			gb_debug "------Set $portNumber to $value"
			$tool -p $portNumber -s $value &> /dev/null
		done
	fi
}

handle_do_change
